/***************************************************************************
 *         read_images.h                                                   *
 *         5/15/08                                                         *
 ***************************************************************************/

#include <fstream>
#include <blitz/array.h>
#include <nifti1.h>
#include <nifti1_io.h>
#include <znzlib.h>

#include "copy_nim.h"
using namespace std;

BZ_USING_NAMESPACE(blitz)


     int read_image_hdr(ofstream *toFile, char fname[200], nifti_image *nim);

int read_images(ofstream *toFile, char fname[500][200], Array<float,5> images);

int read_image(ofstream *toFile, char fname[200], Array<float,4> imageMask);

int read_ind_images(ofstream *toFile, char fname[500][10][200], Array<float,6> images);

int read_images_multi(ofstream *toFile, char fname[500][10][200], Array<float,5> images,int sep_files,int num_dep_var);
