/**************************************************************************
 *             read_model_matrices.h                                          *
 **************************************************************************/

#include <blitz/array.h>
#include <fstream>

using namespace std;

BZ_USING_NAMESPACE(blitz)


int read_design_mat(ofstream *toFile,ifstream *fromFile,Array<float,2> X1,Array<float,2> X2,Array<float,2> X,int norm, Array<float,1> normVal, char fname[500][200]);

int read_design_mat_sp(ofstream *toFile,ifstream *fromFile,Array<float,2> X1,Array<float,2> X2,Array<float,2> X,int norm, Array<float,1> normVal, char fname[500][200],char fnamesp[500][10][200],int num_spvar_indep_var);

int read_design_mat_multi(ofstream *toFile,ifstream *fromFile,Array<float,2> X1,Array<float,2> X2,Array<float,2> X,int norm, Array<float,1> normVal, char fname[500][10][200],int sep_files,int num_dep_var);

int read_contrast_mat(ofstream *toFile,ifstream *fromFile,Array<float,2> C1);

int read_design_mat_static_sp(ofstream *toFile,ifstream *fromFile,Array<float,2> X1,Array<float,2> X2,Array<float,2> X,int norm, Array<float,1> normVal, Array<float,2> Y,char fnamesp[500][10][200],int num_spvar_indep_var);

int read_design_mat_multi_static_sp(ofstream *toFile,ifstream *fromFile,Array<float,2> X1,Array<float,2> X2,Array<float,2> X,int norm, Array<float,1> normVal, Array<float,2> Y,int num_dep_var,char fnamesp[500][10][200],int num_spvar_indep_var);
