// copy_nim.cpp
// copies many values from one nifti_image structure to another
// 10-2-2009

#include <fstream>
#include <stdio.h>
#include <stdlib.h>
#include <nifti1.h>
#include <nifti1_io.h>
#include <znzlib.h>

using namespace std;

void copy_nim(nifti_image *nim_orig, nifti_image *nim) {
    if(nim->dim[1]==0) {
        nim->dim[1]=nim_orig->dim[1];
        nim->dim[2]=nim_orig->dim[2];
        nim->dim[3]=nim_orig->dim[3];
        nim->dim[4]=nim_orig->dim[4];
        nim->fname=nim_orig->fname;
        nim->iname=nim_orig->iname;
    }
  nim->pixdim[1]=nim->dx=nim_orig->pixdim[1];
  nim->pixdim[2]=nim->dy=nim_orig->pixdim[2];
  nim->pixdim[3]=nim->dz=nim_orig->pixdim[3];
  nim->pixdim[4]=nim->dt=nim_orig->pixdim[4];

  nim->scl_slope=nim_orig->scl_slope;
  nim->scl_inter=nim_orig->scl_inter;
  nim->qform_code=nim_orig->qform_code;
  nim->sform_code=nim_orig->sform_code;
  nim->quatern_b=nim_orig->quatern_b;
  nim->qto_xyz = nim_orig->qto_xyz;
  nim->qto_ijk=nim_orig->qto_ijk;
  nim->sto_xyz=nim_orig->sto_xyz;
  nim->sto_ijk=nim_orig->sto_ijk;
  nim->xyz_units=nim_orig->xyz_units;
  nim->analyze75_orient=nim_orig->analyze75_orient;
}
